Skip to main content
PATCH
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

update:user_attribute_profiles

Update User Attribute Profiles

Path Parameters

id
string
required

ID of the user attribute profile to update.

Body

name
string

The name of the user attribute profile.

Required string length: 1 - 128
user_id
object | null

User ID mapping configuration

user_attributes
object

User attributes configuration map. Keys are attribute names, values are the mapping configuration for each attribute.

Response

User attribute profile successfully updated.

id
string<user-attribute-profile-id>

User Attribute Profile identifier.

name
string

The name of the user attribute profile.

Required string length: 1 - 128
user_id
object

User ID mapping configuration

user_attributes
object

User attributes configuration map. Keys are attribute names, values are the mapping configuration for each attribute.